digraph G {
node [colorscheme="set312", style=filled];
{% for idx, node in enumerate(nodes) %}
{{ node }} [color="{{ (idx % 12) + 1 }}"];{% end %}

{% for group in groups %}
{{ group[0] }} -> {{ group[1] }} [ arrowhead="none", penwidth=2 ];{% end %}

{% for rule in rules %}
{{ rule[0] }} -> {{ rule[2] }} [ label="{{ rule[1] }}"];{% end %}
}
